export const __esModule: boolean;
/**
 * @packageDocumentation
 * @module RegistrationUIContext
 */
export const RegistrationActionContext: _react.Context<null>;
export const RegistrationStateContext: _react.Context<{
    eulaTransit: {
        transitId: null;
        transitErrorMessage: null;
        transitInProgress: boolean;
        transitComplete: boolean;
        transitSuccess: boolean;
    };
    inviteRegistration: {
        codeRequestTransit: {
            transitId: null;
            transitErrorMessage: null;
            transitInProgress: boolean;
            transitComplete: boolean;
            transitSuccess: boolean;
        };
        registrationTransit: {
            transitId: null;
            transitErrorMessage: null;
            transitInProgress: boolean;
            transitComplete: boolean;
            transitSuccess: boolean;
        };
        validationTransit: {
            transitId: null;
            transitErrorMessage: null;
            transitInProgress: boolean;
            transitComplete: boolean;
            transitSuccess: boolean;
        };
        email: null;
        organizationName: null;
    };
}>;
import _react = require("react");
