export const __esModule: boolean;
export namespace RegistrationActions {
    function loadEulaReset(): {
        type: string;
    };
    function loadEulaStarted(transitId: any, language: any): {
        type: string;
        payload: {
            transitId: any;
            language: any;
        };
    };
    function loadEulaSucceeded(transitId: any): {
        type: string;
        payload: {
            transitId: any;
        };
    };
    function loadEulaFailed(transitId: any, errorMessage: any): {
        type: string;
        payload: {
            transitId: any;
            errorMessage: any;
        };
    };
    function requestRegistrationCodeReset(): {
        type: string;
    };
    function requestRegistrationCodeStarted(transitId: any): {
        type: string;
        payload: {
            transitId: any;
        };
    };
    function requestRegistrationCodeSucceeded(transitId: any): {
        type: string;
        payload: {
            transitId: any;
        };
    };
    function requestRegistrationCodeFailed(transitId: any, errorMessage: any): {
        type: string;
        payload: {
            transitId: any;
            errorMessage: any;
        };
    };
    function validateUserRegistrationReset(): {
        type: string;
    };
    function validateUserRegistrationStarted(transitId: any): {
        type: string;
        payload: {
            transitId: any;
        };
    };
    function validateUserRegistrationSucceeded(transitId: any): {
        type: string;
        payload: {
            transitId: any;
        };
    };
    function validateUserRegistrationFailed(transitId: any, errorMessage: any): {
        type: string;
        payload: {
            transitId: any;
            errorMessage: any;
        };
    };
    function registerUserReset(): {
        type: string;
    };
    function registerUserStarted(transitId: any): {
        type: string;
        payload: {
            transitId: any;
        };
    };
    function registerUserSucceeded(transitId: any, email: any, organizationName: any): {
        type: string;
        payload: {
            transitId: any;
            email: any;
            organizationName: any;
        };
    };
    function registerUserFailed(transitId: any, errorMessage: any): {
        type: string;
        payload: {
            transitId: any;
            errorMessage: any;
        };
    };
}
