export namespace AccountActions {
    function loginStarted(email: any, transitId: any): {
        type: string;
        payload: {
            email: any;
            transitId: any;
        };
    };
    function loginSucceeded(email: any, transitId: any): {
        type: string;
        payload: {
            email: any;
            transitId: any;
        };
    };
    function loginFailed(email: any, transitId: any, errorMessage: any): {
        type: string;
        payload: {
            email: any;
            transitId: any;
            errorMessage: any;
        };
    };
    function resetLogin(): {
        type: string;
    };
    function logout(): {
        type: string;
    };
    function resetPasswordReset(): {
        type: string;
    };
    function resetPasswordStarted(email: any, transitId: any): {
        type: string;
        payload: {
            email: any;
            transitId: any;
        };
    };
    function resetPasswordSucceeded(email: any, transitId: any): {
        type: string;
        payload: {
            email: any;
            transitId: any;
        };
    };
    function resetPasswordFailed(email: any, transitId: any, errorMessage: any): {
        type: string;
        payload: {
            email: any;
            transitId: any;
            errorMessage: any;
        };
    };
    function verifyResetCodeReset(): {
        type: string;
    };
    function verifyResetCodeStarted(transitId: any): {
        type: string;
        payload: {
            transitId: any;
        };
    };
    function verifyResetCodeSucceeded(transitId: any): {
        type: string;
        payload: {
            transitId: any;
        };
    };
    function verifyResetCodeFailed(transitId: any, errorMessage: any): {
        type: string;
        payload: {
            transitId: any;
            errorMessage: any;
        };
    };
    function setPasswordReset(): {
        type: string;
    };
    function setPasswordStarted(transitId: any): {
        type: string;
        payload: {
            transitId: any;
        };
    };
    function setPasswordSucceeded(transitId: any): {
        type: string;
        payload: {
            transitId: any;
        };
    };
    function setPasswordFailed(transitId: any, errorMessage: any): {
        type: string;
        payload: {
            transitId: any;
            errorMessage: any;
        };
    };
}
