export * from "./types";
export * from "./reducer";
export function useRegistrationUIState(): {
    eulaTransit: {
        transitId: null;
        transitErrorMessage: null;
        transitInProgress: boolean;
        transitComplete: boolean;
        transitSuccess: boolean;
    };
    inviteRegistration: {
        codeRequestTransit: {
            transitId: null;
            transitErrorMessage: null;
            transitInProgress: boolean;
            transitComplete: boolean;
            transitSuccess: boolean;
        };
        registrationTransit: {
            transitId: null;
            transitErrorMessage: null;
            transitInProgress: boolean;
            transitComplete: boolean;
            transitSuccess: boolean;
        };
        validationTransit: {
            transitId: null;
            transitErrorMessage: null;
            transitInProgress: boolean;
            transitComplete: boolean;
            transitSuccess: boolean;
        };
        email: null;
        organizationName: null;
    };
};
export function useRegistrationUIActions(): never;
import { RegistrationActionContext } from "./context";
import { RegistrationStateContext } from "./context";
import { RegistrationActionsCreator } from "./actions";
import { RegistrationActions } from "./dispatchActions";
export { RegistrationActionContext, RegistrationStateContext, RegistrationActionsCreator, RegistrationActions };
