export const __esModule: boolean;
/**
 * @packageDocumentation
 * @module AccountUIContext
 */
export const StateContext: _react.Context<{
    userToken: null;
    email: null;
    login: {
        email: null;
        transitId: null;
        transitErrorMessage: null;
        transitInProgress: boolean;
        transitComplete: boolean;
        transitSuccess: boolean;
    };
    forgotPassword: {
        email: null;
        transitId: null;
        transitErrorMessage: null;
        transitInProgress: boolean;
        transitComplete: boolean;
        transitSuccess: boolean;
    };
    setPassword: {
        setPasswordTransit: {
            transitId: null;
            transitErrorMessage: null;
            transitInProgress: boolean;
            transitComplete: boolean;
            transitSuccess: boolean;
        };
        verifyResetCodeTransit: {
            transitId: null;
            transitErrorMessage: null;
            transitInProgress: boolean;
            transitComplete: boolean;
            transitSuccess: boolean;
        };
    };
}>;
export const ActionContext: _react.Context<null>;
import _react = require("react");
